Package org.eclipse.m2m.atl.emftvm.compiler

## Class AtlResourceFactoryImpl

- java.lang.Object
- - org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
  - - org.eclipse.m2m.atl.emftvm.compiler.AtlResourceFactoryImpl

All Implemented Interfaces:
  `org.eclipse.emf.ecore.resource.Resource.Factory`

    public class AtlResourceFactoryImpl
    extends org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl

Creates `AtlResourceImpl` instances.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

`org.eclipse.emf.ecore.resource.Resource.Factory.Descriptor, org.eclipse.emf.ecore.resource.Resource.Factory.Registry`

### Constructor Summary

Constructors
`AtlResourceFactoryImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.ecore.resource.Resource` `createResource​(org.eclipse.emf.common.util.URI uri)` Creates a new `AtlResourceImpl` for the given `uri`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlResourceFactoryImpl

    public AtlResourceFactoryImpl()

### Method Detail

#### createResource

    public org.eclipse.emf.ecore.resource.Resource createResource​(org.eclipse.emf.common.util.URI uri)

Creates a new `AtlResourceImpl` for the given `uri`.

Specified by:
  `createResource` in interface `org.eclipse.emf.ecore.resource.Resource.Factory`
Overrides:
  `createResource` in class `org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl`
Parameters:
  `uri` - the resource's URI
Returns:
  the new `AtlResourceImpl`